The 'strict' mode

## Functions

bool | libdap::D4ParserSax2::get_strict () const
| Get the setting of the 'strict' mode. More...
void | libdap::D4ParserSax2::set_strict (bool s)
| Set the 'strict' mode to true or false. More...

## Detailed Description

The strict mode of the parser is the default. In this mode any error will result in an exception and parsing will stop. When strict mode is set to false (forgiving mode?), some errors will be silently ignored. The list of allowed errors is: The Array named by a Map element is not required to be in the DMR. There are no other allowed errors at this time (4/13/16)

## Function Documentation

## get_strict()

bool libdap::D4ParserSax2::get_strict | ( |  | ) | const

inline

Get the setting of the 'strict' mode.

Returns
  True or False.

Definition at line 301 of file D4ParserSax2.h.

## set_strict()

void libdap::D4ParserSax2::set_strict | ( | bool | s | ) |

inline

Set the 'strict' mode to true or false.

Definition at line 297 of file D4ParserSax2.h.